# Uses of Interface
org.opensaml.core.xml.schema.XSAny

Packages that use XSAny
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.core.xml.schema.impl
Implementations of the interfaces for XMLObjects that represent XML schema types.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of XSAny in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as XSAny
Modifier and Type
Field
Description
`private XSAny`
AbstractXSAnyAdapter.`adapted`
The adapted XSAny instance.
Methods in org.opensaml.core.xml that return XSAny
Modifier and Type
Method
Description
`XSAny`
AbstractXSAnyAdapter.`getAdapted()`
Get the adapted `XSAny` instance.
`XSAny`
XSAnyAdapter.`getAdapted()`
Get the adapted instance of `XSAny`
Constructors in org.opensaml.core.xml with parameters of type XSAny
Modifier
Constructor
Description
`protected`
`AbstractXSAnyAdapter(XSAny xsAny)`
Constructor.

## Uses of XSAny in org.opensaml.core.xml.schema.impl

Classes in org.opensaml.core.xml.schema.impl that implement XSAny
Modifier and Type
Class
Description
`class`
`XSAnyImpl`
Concrete implementation of `XSAny`.
Methods in org.opensaml.core.xml.schema.impl that return XSAny
Modifier and Type
Method
Description
`XSAny`
XSAnyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of XSAny in org.opensaml.saml.saml1.core

Subinterfaces of XSAny in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AttributeValue`
This interface defines how the object representing a SAML 1 `AttributeValue` element behaves.
`interface`
`SubjectConfirmationData`
This interface defines how the object representing a SAML1 `SubjectConfirmationData` element behaves.

## Uses of XSAny in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement XSAny
Modifier and Type
Class
Description
`class`
`AttributeValueImpl`
A concrete implementation of `AttributeValue`.
`class`
`SubjectConfirmationDataImpl`
A concrete implementation of `SubjectConfirmationData`.

## Uses of XSAny in org.opensaml.saml.saml2.core

Subinterfaces of XSAny in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`AttributeValue`
This interface defines how the object representing a SAML 2 `AttributeValue` element behaves.
`interface`
`AuthnContextDecl`
SAML 2.0 Core AuthnContextDecl.

## Uses of XSAny in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement XSAny
Modifier and Type
Class
Description
`class`
`AttributeValueImpl`
A concrete implementation of `AttributeValue`.
`class`
`AuthnContextDeclImpl`
A concrete implementation of `AuthnContextDecl`.
Constructors in org.opensaml.saml.saml2.core.impl with parameters of type XSAny
Modifier
Constructor
Description
``
`BaseIDXSAnyAdapter(XSAny xsAny)`
Constructor.
``
`ConditionXSAnyAdapter(XSAny xsAny)`
Constructor.
``
`StatementXSAnyAdapter(XSAny xsAny)`
Constructor.

## Uses of XSAny in org.opensaml.saml.saml2.metadata.impl

Constructors in org.opensaml.saml.saml2.metadata.impl with parameters of type XSAny
Modifier
Constructor
Description
``
`RoleDescriptorXSAnyAdapter(XSAny xsAny)`
Constructor.